Description

The csmodelselect should select all model components from a model definition XML file that can be constrained by a given list of
observations.

The script is needed to perform the analysis on a subset of observations, for example, a subset of the GPS KSP.

History

#1 - 11/21/2016 04:51 PM - Knodlseder Jiirgen
- Status changed from New to In Progress

- % Done changed from 0 to 10

The script should also be able to select on source flux and Test Statistic values.

#2 - 11/22/2016 03:17 PM - Mayer Michael

Since source flux is only an important measure for point sources (and small sources), it might be worthwhile to think about adding the surface
brightness for extended sources (i.e. source flux divided by source solid angle). For the analyses of short time windows, large structures with high flux
(but low surface brightness) could be neglected and increase the speed of the analysis.

Not sure though if this would complicate the tool too much...

#3 - 11/22/2016 05:01 PM - Knodlseder Jiirgen

user#77 wrote:
Since source flux is only an important measure for point sources (and small sources), it might be worthwhile to think about adding the surface
brightness for extended sources (i.e. source flux divided by source solid angle). For the analyses of short time windows, large structures with
high flux (but low surface brightness) could be neglected and increase the speed of the analysis.

Not sure though if this would complicate the tool too much...

| agree that this would be useful, but for the moment the models do provide a method that provides the solid angle of the model. It would certainly be
useful to add such a method to the GModelSpatial class. | added feature #1880 for this.

04/20/2024 1/2




#4 - 11/22/2016 05:07 PM - Mayer Michael
| guess this could simply be mediated by the method GModelSpatial::region()::solidangle(), right?

#5 - 11/22/2016 05:14 PM - Knodlseder Jiirgen

user#77 wrote:

| guess this could simply be mediated by the method GModelSpatial::region()::solidangle(), right?

There is just one problem: GModelSpatial::region() returns for the moment a bounding circle which encloses the model, and this bounding circle can
be larger than the model (it's actually full sky for the composite model and the diffuse cube; for a map it is a bounding circle around a rectangular
map).

For the GModelSpatial::solidangle() we would like to have the solid angle that matches the model. By the way: it's a bit tricky to define the solid angle
for a Gaussian model. We may rather want to have a kind of equivalent solid angle of the model (the bounding circle is 5 times the Gaussian sigma
for a Gaussian model).

#6 - 11/22/2016 09:06 PM - Knodlseder Jiirgen

- Status changed from In Progress to Closed

Merged script into devel.

#7 - 03/03/2017 10:51 AM - KnddlIseder Jiirgen
- % Done changed from 10 to 100
